problem upgrading checkout template

AlericAleric Member
in Help edited June 21
My current template is working fine but when I try to update it I get the following;

Error:
The required fc_footer_content is missing from your template. Please include the following entry in your template near the closing body tag:

{% include template_from_string(fc_footer_content) %}


Your settings have not been saved.

On my server my template looks like this;


< --#include virtual="/header.shtml" -->

{% include 'svg.inc.twig' %}

{% import "utils.inc.twig" as utils %}
{% embed 'checkout.inc.twig' %}
{% endembed %}
< -- FC footer script insertion -->{% include template_from_string(fc_footer_content) %}< -- /FC footer scripts -->

< --#include virtual="/footer.shtml" -->

(Exclamation points have been deleted for this post because it cause the "commented" code to disappear from this post. )

This uses apache SSI which previously made this very simple. But the new line (FC footer script insertion) is not getting picked up.
Comments
  • brettbrett FoxyCart Team
    Hi @Aleric. Can you whisper the store or URL you're working with? I found a store by your email but the checkout template is 404ing.
  • fc_adamfc_adam FoxyCart Team
    @Aleric,

    Thanks for whispering your template! I tried out that template on my own 2.0 test store and it's complaining about a missing "title" tag for me. Could you add in the template tag and we can take another look for you.
  • AlericAleric Member
    Done, please try again
  • AlericAleric Member
    That fixed it. Thanks
  • fc_adamfc_adam FoxyCart Team
    @Aleric,

    Sorry for the delay in replying - to confirm, you got it working after adding the title tag?
Sign In or Register to comment.